HelpTestCase::verifyHelp

7 help.test protected HelpTestCase::verifyHelp($response = 200)
8 help.test protected HelpTestCase::verifyHelp($response = 200)

Verifies the logged in user has access to the various help nodes.

Parameters

integer $response: An HTTP response code.

File

modules/help/help.test, line 75
Tests for help.module.

Code

protected function verifyHelp($response = 200) {
  foreach ($this->modules as $module => $name) {
    // View module help node.
    $this->drupalGet('admin/help/' . $module);
    $this->assertResponse($response);
    if ($response == 200) {
      $this->assertTitle($name . ' | Drupal', t('[' . $module . '] Title was displayed'));
      $this->assertRaw('<h1 class="page-title">' . t($name) . '</h1>', t('[' . $module . '] Heading was displayed'));
    }
  }
}
Login or register to post comments